# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptTree

Packages that use OptTree
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptTree in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptTree
Modifier and Type
Method
Description
`static OptTree`
OptTreeConverter.`createAbstractOptTree(int ck, double cm, ParForStatementBlock pfsb, ParForProgramBlock pfpb, OptTreePlanMapping hlMap, Set<String> memo, ExecutionContext ec)`
`static OptTree`
OptTreeConverter.`createOptTree(int ck, double cm, ParForStatementBlock pfsb, ParForProgramBlock pfpb, ExecutionContext ec)`
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptTree
Modifier and Type
Method
Description
`abstract boolean`
Optimizer.`optimize(ParForStatementBlock sb, ParForProgramBlock pb, OptTree plan, CostEstimator est, int numRuns, ExecutionContext ec)`
Optimize the parfor statement block
`boolean`
OptimizerConstrained.`optimize(ParForStatementBlock sb, ParForProgramBlock pb, OptTree plan, CostEstimator est, int numRuns, ExecutionContext ec)`
Main optimization procedure.
`boolean`
OptimizerRuleBased.`optimize(ParForStatementBlock sb, ParForProgramBlock pb, OptTree plan, CostEstimator est, int numRuns, ExecutionContext ec)`
Main optimization procedure.